kshowmail.tdevelop: KshowmailView Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KshowmailView Class Reference

`#include <kshowmailview.h>`

List of all members.

## Signals
void | signalActiveChanged ()
## Public Member Functions
| KshowmailView (TQWidget *parent=0, const char *name=0)
| ~KshowmailView ()
void | saveOptions (TDEConfig *config)
void | clearMailListView ()
ShowListViewItem * | insertMail (TQString &number, TQString &account, TQString &from, TQString &to, TQString &subject, TQString &date, TQString &size, TQString &content, TQString &state, TQString &time)
void | refreshSetup ()
## Public Attributes
TDEListView * | m_pListAccounts
TDEListView * | m_pListMessages
## Private Slots
void | slotMessageContext (TQListViewItem *, const TQPoint &, int)
void | slotMessageDoubleClicked (TQListViewItem *)
void | slotMessageClicked (TQListViewItem *)
void | slotAccountContext (TQListViewItem *, const TQPoint &, int)
void | slotAccountClicked (TQListViewItem *, const TQPoint &point, int col)
## Private Member Functions
void | readOptions ()
## Private Attributes
TQPixmap * | m_pixOk
TDEConfig * | config

## Detailed Description

The KshowmailView class provides the view widget for the KShowMailApp instance. The View instance inherits TQWidget as a base class and represents the view object of a TDEMainWindow. As KshowmailView is part of the document-view model, it needs a reference to the document object connected with it by the KShowMailApp class to manipulate and display the document structure provided by the KshowmailDoc class.

Author:
  Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.

  Ulrich Weigelt <ulrich.weigelt@gmx.de>

Version:
  KDevelop version 0.4 code generation

## Constructor & Destructor Documentation

KshowmailView::KshowmailView | ( | TQWidget * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Constructor for the main view

KshowmailView::~KshowmailView | ( |  | ) |

Destructor for the main view

## Member Function Documentation

void KshowmailView::saveOptions | ( | TDEConfig * | config | ) |

void KshowmailView::clearMailListView | ( |  | ) |

Clears the mail list view.

ShowListViewItem * KshowmailView::insertMail | ( | TQString & | number,
|  | TQString & | account,
|  | TQString & | from,
|  | TQString & | to,
|  | TQString & | subject,
|  | TQString & | date,
|  | TQString & | size,
|  | TQString & | content,
|  | TQString & | state,
|  | TQString & | time |
| ) |  |  |

Creates a mail list view item with the given content and inserts it into the mail list view.

Parameters:

  | number | mail number
  | account | account name
  | from | sender of the mail
  | to | recipient of the mail
  | subject | mail subject
  | date | date on which the mail was sent, formated to the current locale's conventions.
  | size | size of the mail
  | content | content type
  | state | new or old
  | time | send date, formated to the ISO 8601 extended specification (YYYY-MM-DDTHH:MM:SS)

Returns:
  pointer to the created list view item

void KshowmailView::refreshSetup | ( |  | ) |

Refreshes the geometry. Reads from the config file the properties about show or hide columns. If a shown column should be hidden, the current width will be saved and the column will be hidden. If a hidden column should be shown, it will be set to the old saved width.

void KshowmailView::readOptions | ( |  | ) | `[private]`

Reads the some geometry options from the application config file.

void KshowmailView::slotMessageContext | ( | TQListViewItem * | ,
|  | const TQPoint & | ,
|  | int |  |
| ) |  |  | `[private, slot]`

Connected with signal rightButtonClicked of m_pListMessages. Invoked, when the user has clicked on a list item with the right mouse button. Selects the clicked item and shows the popup menu mail_context_popup defined in kshowmailui.rc.

void KshowmailView::slotMessageDoubleClicked | ( | TQListViewItem * |  | ) | `[private, slot]`

void KshowmailView::slotMessageClicked | ( | TQListViewItem * |  | ) | `[private, slot]`

void KshowmailView::slotAccountContext | ( | TQListViewItem * | ,
|  | const TQPoint & | ,
|  | int |  |
| ) |  |  | `[private, slot]`

Connected with signal rightButtonClicked of m_pListAccounts. Invoked, when the user has clicked on a list item with the right mouse button. Selects the clicked item and shows the popup menu account_context_popup defined in kshowmailui.rc.

void KshowmailView::slotAccountClicked | ( | TQListViewItem * | ,
|  | const TQPoint & | point,
|  | int | col |
| ) |  |  | `[private, slot]`

Connected with signal clicked of the account list. Activate or deactivate the account, if the user has clicked in the first column

void KshowmailView::signalActiveChanged | ( |  | ) | `[signal]`

## Member Data Documentation

TDEListView* KshowmailView::m_pListAccounts

TDEListView* KshowmailView::m_pListMessages

TQPixmap* KshowmailView::m_pixOk`[private]`

TDEConfig* KshowmailView::config`[private]`

Connector to the configuration file

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmailview.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/kshowmailview.cpp